API Explorer 936 endpoints

Get Card By Id

GET /obp/v7.0.0/management/banks/BANK_ID/cards/CARD_ID

OBPv3.1.0-getCardForBank Roles: CanGetCardsForBank(per bank) Card

This will the datails of the card. It shows the account infomation which linked the the card. Also shows the card attributes of the card.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CARD_ID: 36f8a9e6-c2b1-407a-8bd0-421b7119307e

JSON response body fields (30)
account
allows
[credit,debit,cash_withdrawal]
bank_id
gh.29.uk
cancelled
false
card_attributes
card_id
36f8a9e6-c2b1-407a-8bd0-421b7119307e
card_number
364435172576215
card_type
Credit
collected
2020-01-27
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
description
Description of the object. Maximum length is 2000. It can be any characters here.
enabled
false
expires_date
2021-01-27
id
d8839721-ad8f-45dd-9f78-2080414b93f9
issue_number
1
label
My Account
name
ACCOUNT_MANAGEMENT_FEE
name_on_card
SusanSmith
networks
on_hot_list
false
pin_reset
posted
2020-01-27
reason_requested
replacement
requested_date
2020-01-27
serial_number
1324234
technology
technology1
valid_from_date
2020-01-27
value
5987953
views_available
Example success response
{
  "card_id": "36f8a9e6-c2b1-407a-8bd0-421b7119307e ",
  "bank_id": "gh.29.uk",
  "card_number": "364435172576215",
  "card_type": "Credit",
  "name_on_card": "SusanSmith",
  "issue_number": "1",
  "serial_number": "1324234",
  "valid_from_date": "1100-01-01T00:00:00Z",
  "expires_date": "1100-01-01T00:00:00Z",
  "enabled": true,
  "cancelled": true,
  "on_hot_list": true,
  "technology": "technologyString1",
  "networks": [
    "networks1"
  ],
  "allows": [
    "credit",
    "debit"
  ],
  "account": {
    "id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
    "label": "My Account",
    "views_available": [
      {
        "id": "owner",
        "name": "owner",
        "description": "This view is for the owner for the account."
      }
    ],
    "bank_id": "gh.29.uk"
  },
  "replacement": {
    "requested_date": "1100-01-01T00:00:00Z",
    "reason_requested": "RENEW"
  },
  "pin_reset": [
    {
      "requested_date": "1100-01-01T00:00:00Z",
      "reason_requested": "FORGOT"
    }
  ],
  "collected": "1100-01-01T00:00:00Z",
  "posted": "1100-01-01T00:00:00Z",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "card_attributes": [
    {
      "name": "OVERDRAFT_START_DATE",
      "attribute_type": "STRING",
      "card_attribute_id": "b4e0352a-9a0f-4bfa-b30b-9003aa467f50",
      "bank_id": {
        "value": "gh.29.uk"
      },
      "card_id": "36f8a9e6-c2b1-407a-8bd0-421b7119307e ",
      "value": "2012-04-23"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv3.1.0 getCardForBank Originally /obp/v3.1.0/management/banks/BANK_ID/cards/CARD_ID